[OE-core] [PATCH] oe-run-native: standardize usage output

Ed Bartosh ed.bartosh at linux.intel.com
Thu Dec 8 15:27:23 UTC 2016


Made usage output of oe-run-native to look similar to the
output of other oe scripts.

[YOCTO #10751]

Signed-off-by: Ed Bartosh <ed.bartosh at linux.intel.com>
---
 scripts/oe-run-native | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/scripts/oe-run-native b/scripts/oe-run-native
index 496e34f..7e26ea3 100755
--- a/scripts/oe-run-native
+++ b/scripts/oe-run-native
@@ -22,8 +22,15 @@
 #
 
 if [ $# -lt 1 -o "$1" = '--help' -o "$1" = '-h' ] ; then
-    echo "Usage: $0 <native tool> [parameters]"
-    exit 1
+    echo 'oe-run-native: error: the following arguments are required: <native tool>'
+    echo 'Usage: oe-run-native tool [parameters]'
+    echo ''
+    echo 'OpenEmbedded run-native - runs native tools'
+    echo ''
+    echo 'arguments:'
+    echo '  tool                Native tool to run'
+    echo ''
+    exit 2
 fi
 
 SYSROOT_SETUP_SCRIPT=`which oe-find-native-sysroot 2> /dev/null`
-- 
2.1.4




More information about the Openembedded-core mailing list